Kreslení Text

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Text and the translation is 14% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Rectangle.svg Rectangle
Next: Dimension Draft Dimension.svg Arrow-right.svg

Draft Text.svg Draft Text

Umístění Menu
Draft → Text
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
T E
Představen ve verzi
-
Viz také
Nikdo


Popis

Nástroj Text vkládá text k zadanému bodu v aktuálnímu dokumentu. Použije se tloušťka čáry a barva předem zadaná v záložce Nástrojů.

To create a text label with a leader and an arrow use Draft Label. To create solid text or 3D letters use Draft ShapeString with Part Extrude.

Draft Text example.jpg

Warning: The texts created with version 0.18 are not backward compatible, so backup your work if you try to open files created with 0.18 with older versions.

Použití

  1. Stiskněte tlačítko Draft Text.png Text nebo klávesy T a potom E
  2. Klikněte na bod ve 3D pohledu nebo zadejte jeho souřadnice
  3. Vložte požadovaný text, mezi každým řádkem stiskněte ENTER
  4. Klávesu ENTER stiskněte 2x pro ukončení operace.

Volby

  • Stisknutí klávesy CTRL přichytí Váš bod k nejbližšímu uchopovacímu místu, nezávisle na vzdálenosti od něho.
  • Pro zadání souřadnic ručně, jednoduše zadejte číslo a stiskněte ENTER mezi každou z komponent X, Y a Z.
  • Stiskněte klávesu ESC nebo tlačítko Cancel pro ukončení aktuálního příkazu
  • Stisknutím ENTER nebo Šipka dolu při úpravě textu můžete vložit nebo editovat další řádek textu.
  • Stisknutím klávesy Šipka nahoru můžete editovat předcházející řádek textu.
  • Dvojím stisknutím ENTER (t.j. nevyplnění posledního řádku) přidáte text do dokumentu a ukončíte editor.

Vlastnosti

  • DATAPozice: Základní bod textového bloku
  • DATAŠtítek textu: Obsah textového bloku
  • VIEWMód zobrazení: Specifikuje jestli je text zarovnán podle os nebo vždy míří směrem ke kameře
  • VIEWVelikost fontu: Velikost písmen
  • VIEWZarovnání: Specifikuje zda je text zarovnán vlevo, vpravo nebo na střed od základního bodu.
  • VIEWMezera mezi řádky: Specifikuje mezeru mezi řádky textu.
  • VIEWRotace: Specifikuje rotaci, která bude aplikována na text.
  • VIEWOsa rotace: Specifikuje osu, která bude použita pro rotaci.
  • VIEWNázev fontu: Font použitý pro kreslení textu. Může to být název fontu, jako např. "Arial", default styl jako je "sans", "serif" nebo "mono" nebo rodina jako je "Arial,Helvetica,sans" nebo jméno se stylem jako je "Arial:Bold". Není-li zadaný font nalezen v systému, je místo něj použit obecný font.

Data

  • DATAText: specifies the contents of the text block as a list of strings; each element on the list, separated by a comma, indicates a new line.
  • DATAPosition: specifies the base point of the first line of the text block.
  • DATAAngle: specifies the rotation of the baseline of the first line of the text block.
  • DATAAxis: specifies the axis to use for the rotation.

View

  • VIEWDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  • VIEWFont Name: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • VIEWFont Size: specifies the size of the letters. If the text object is created in the tree view but no text is visible, increase the size of the text until it is visible.
  • VIEWJustification: specifies if the text aligns to the left, right or at the center of the base point.
  • VIEWLine Spacing: specifies the space between lines of text.

Skriptování

Nástroj Text může být využit v makrech a z konzoly Pythonu použitím následující funkce:

The Text tool can be used in macros and from the Python console by using the following function:

Text = makeText(stringlist, point=Vector(0,0,0), screen=False)
  • Vytvoří objekt Text na zadaném bodě, je-li poskytnut vektor, s textem obsahujícím řetězec nebo řetězce v seznamu list, jeden řetězec na jeden řádek. * Je použita aktuální barva a výška textu a font specifikovaný v přednastaveních.
  • Je-li screenmode True, text se vždy zobrazuje ve směru pohledu, jinak leží v rovině XY.
  • Vrací nově vytvořený objekt.

The placement of the Text can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

The view properties of Text can be changed by overwriting its attributes; for example, overwrite ViewObject.FontSize with the new size in millimeters.

Příklad:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
t1 = "This is a sample text"

p2 = FreeCAD.Vector(1000, 1000, 0)
t2 = ["First line", "second line"]

Text1 = Draft.makeText(t1, point=p1)
Text2 = Draft.makeText(t2, point=p2)
Text1.ViewObject.FontSize = 200
Text2.ViewObject.FontSize = 200

p3 = FreeCAD.Vector(-1000, -500, 0)
t3 = ["Upside", "down"]

Text3 = Draft.makeText(t3, point=p3)
Text3.ViewObject.FontSize = 200

ZAxis = FreeCAD.Vector(0, 0, 1)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 175))
Text3.Placement = place3

Text4 = Draft.makeText(t3, point=p3)
Text4.ViewObject.FontSize = 200
Text4.Placement.Rotation = FreeCAD.Rotation(ZAxis, -30)
Arrow-left.svg Previous: Draft Rectangle.svg Rectangle
Next: Dimension Draft Dimension.svg Arrow-right.svg